Problema de WordPress con wp_enqueue_script

1 minuto de lectura

avatar de usuario
Zack

Intento usar wp_enqueue_script para cargar mi javascript, aquí está mi código:

<?php wp_enqueue_script('slider','/wp-content/themes/less/js/slider.js',array('jquery'),'1.0'); ?>

No funciona, cuando miro la fuente, resulta ser:

<script type="text/javascript" src="http://localhost/wp/wp-content/themes/less/js/slider.js?ver=2.9.2"></script> 

?ver=2.9.2 se agrega al final automáticamente, supongo que esta es la razón, ¿cómo puedo solucionarlo?

  • @Zack agregando al final ?ver=2.9.2 ?

    – hormiga

    25 de marzo de 2010 a las 8:57

  • ?ver=2.9.2 se agrega automáticamente al final

    – Zack

    25 de marzo de 2010 a las 8:59

  • @c0mrade, traté de agregar ?ver=2.9.2, al enlace, hágalo: /wp-content/themes/less/js/slider.js?ver=2.9.2 funciona, como resultado se convierte en:

Esta web utiliza cookies propias y de terceros para su correcto funcionamiento y para fines analíticos y para mostrarte publicidad relacionada con sus preferencias en base a un perfil elaborado a partir de tus hábitos de navegación. Al hacer clic en el botón Aceptar, acepta el uso de estas tecnologías y el procesamiento de tus datos para estos propósitos. Configurar y más información
Privacidad